> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jsonify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Turn a single document to data without a workflow, ad-hoc.

> Send an agent to extract data from a document, optionally transforming it to a specific data schema. POST a file called 'file'. Must be a filetype readable from the dashboard document task (ie pdf or image)



## OpenAPI

````yaml https://app.jsonify.com/static/openapi.yaml post /api/v2/document/start
openapi: 3.0.0
info:
  title: Jsonify Platform API
  version: 2.0.0
  description: The Jsonify platform API lets you create and manage agent and data tasks.
servers:
  - url: https://api.jsonify.com
    description: Production server
security: []
paths:
  /api/v2/document/start:
    post:
      summary: Turn a single document to data without a workflow, ad-hoc.
      description: >-
        Send an agent to extract data from a document, optionally transforming
        it to a specific data schema. POST a file called 'file'. Must be a
        filetype readable from the dashboard document task (ie pdf or image)
      parameters:
        - name: additional_instructions
          in: query
          required: false
          description: Additional hints to the AI about what you want to extract
          example: I want a list of people
          schema:
            type: string
        - name: model
          in: query
          required: false
          description: >-
            The model to use. Large is slower but may be more accurate. Small is
            faster but may be less accurate.
          schema:
            type: string
            enum:
              - auto
              - large
              - small
        - name: extended
          in: query
          required: false
          description: Attempt to extract extended metadata, like URLs and images
          schema:
            type: boolean
        - name: cap_screenshots
          in: query
          required: false
          description: Increasing this will cause the AI to scroll further down the page
          schema:
            type: integer
            default: 5
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: string
              description: A JSON schema to extract against
              example:
                schema:
                  name: <the site name>
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '200':
          description: >-
            An in-progress result, which you can retrieve later with
            /result/{result_id}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    AgentResponse:
      type: object
      properties:
        message:
          type: string
          example: started
        result:
          $ref: '#/components/schemas/Agent'
        success:
          type: boolean
          example: true
    Agent:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AgentID'
    AgentID:
      type: string
      format: uuid
      example: e4ab8b5b-45bd-4e0f-8abb-5ce8a4db255e
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````